/* fsusage.h -- declarations for filesystem space usage info
   Copyright (C) 1991, 1992 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.

   This files was modified slightly by Ian Lance Taylor for use with
   Taylor UUCP.  */

/* Space usage statistics for a filesystem.  Blocks are 512-byte. */

#if ! HAVE_SYS_STATVFS_H  /* not SVR4. */
typedef long fsblkcnt_t;
typedef long fsfilcnt_t;
#endif

struct fs_usage
{
  fsblkcnt_t fsu_blocks;	/* Total blocks. */
  fsblkcnt_t fsu_bfree;		/* Free blocks available to superuser. */
  fsblkcnt_t fsu_bavail;	/* Free blocks available to non-superuser. */
  fsfilcnt_t fsu_files;		/* Total file nodes. */
  fsfilcnt_t fsu_ffree;		/* Free file nodes. */
};

extern int get_fs_usage P((char *path, char *disk, struct fs_usage *fsp));
